Skip to main content
POST
Unassign a Project Role

Authorizations

X-API-Key
string
header
required

Supply the API Key in the HTTP-Header

Headers

Accept
enum<string>

The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.

Available options:
application/json,
application/hal+json,
application/xml,
text/xml,
text/csv

Path Parameters

userId
string
required

The Id of the User

Required string length: 24
Pattern: ^[a-z0-9]{24}$
projectId
string
required

The unique identifier for the Project.

Required string length: 24
Pattern: ^[a-z0-9]{24}$

Body

application/json
role
enum<string>
Available options:
agentAssistConfigAdmin,
agentAssistConfigViewer,
analytics,
basic,
connection_admin,
contact_profile_admin,
contact_profile_editor,
contact_profile_viewer,
conversationHistory,
developer,
endpoint_admin,
extension_admin,
extension_editor,
flowEditor,
flowNodeComments,
flowNodeDescriptions,
followUser,
handoverProviderAdmin,
intents,
data_privacy_admin,
data_privacy_editor,
data_privacy_viewer,
knowledgeAdmin,
large_language_model_admin,,
lexicon_admin,
lexicon_editor,
localesAdmin,
logs,
memberManager,
nlu_connector_admin,
packages_admin,
playbook_admin,
playbook_editor,
projectAdmin,
snapshot_admin,
tokenAdmin,
tokenEditor,
function_admin,
function_editor,
simulator_admin

Response

The role was removed from the project member.

Last modified on July 23, 2026